GuideLab API

List all users

Retrieve a paginated list of all platform users with their organization memberships. Platform admin access required. Supports search by email and role filtering.

GET
/admin/users

Retrieve a paginated list of all platform users with their organization memberships. Platform admin access required. Supports search by email and role filtering.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

limit?string
offset?string
search?string
role?string
sortDirection?string

Response Body

application/json

curl -X GET "https://example.com/admin/users"
{  "users": [    {      "id": "string",      "name": "string",      "email": "string",      "image": "string",      "role": "string",      "banned": true,      "createdAt": null,      "organizations": [        null      ]    }  ],  "total": 0}
Empty
Empty